﻿' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Private Sub StretchNone_Checked(sender As Object, e As RoutedEventArgs) Handles StretchNone.Checked
        TestViewer.Stretch = Stretch.None
    End Sub

    Private Sub StretchFill_Checked(sender As Object, e As RoutedEventArgs) Handles StretchFill.Checked
        TestViewer.Stretch = Stretch.Fill
    End Sub

    Private Sub StretchUniform_Checked(sender As Object, e As RoutedEventArgs) Handles StretchUniform.Checked
        TestViewer.Stretch = Stretch.Uniform
    End Sub

    Private Sub StretchUniformToFill_Checked(sender As Object, e As RoutedEventArgs) Handles StretchUniformToFill.Checked
        TestViewer.Stretch = Stretch.UniformToFill
    End Sub

    Private Sub DirectionUpOnly_Checked(sender As Object, e As RoutedEventArgs) Handles DirectionUpOnly.Checked
        TestViewer.StretchDirection = StretchDirection.UpOnly
    End Sub

    Private Sub DirectionDownOnly_Checked(sender As Object, e As RoutedEventArgs) Handles DirectionDownOnly.Checked
        TestViewer.StretchDirection = StretchDirection.DownOnly
    End Sub

    Private Sub DirectionBoth_Checked(sender As Object, e As RoutedEventArgs) Handles DirectionBoth.Checked
        TestViewer.StretchDirection = StretchDirection.Both
    End Sub
End Class
