﻿Imports Windows.UI

' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Private Sub SetColor_Click(sender As Object, e As RoutedEventArgs)
        Dim bkgdColor As Color = Color.FromArgb(
            CType(AlphaSlider.Value, Byte),
            CType(RedSlider.Value, Byte),
            CType(GreenSlider.Value, Byte),
            CType(BlueSlider.Value, Byte))

        Dim bkgdBrush As SolidColorBrush = New SolidColorBrush(bkgdColor)
        ColorDisplay.Background = bkgdBrush
    End Sub

    Private Sub SetGradient_Click(sender As Object, e As RoutedEventArgs)
        LGBrush.StartPoint = New Point(StartXSlider.Value, StartYSlider.Value)
        LGBrush.EndPoint = New Point(EndXSlider.Value, EndYSlider.Value)

        If PadMethod.IsChecked = True Then
            LGBrush.SpreadMethod = GradientSpreadMethod.Pad
        ElseIf ReflectMethod.IsChecked = True Then
            LGBrush.SpreadMethod = GradientSpreadMethod.Reflect
        Else
            LGBrush.SpreadMethod = GradientSpreadMethod.Repeat
        End If

        If SRgb.IsChecked = True Then
            LGBrush.ColorInterpolationMode = ColorInterpolationMode.SRgbLinearInterpolation
        Else
            LGBrush.ColorInterpolationMode = ColorInterpolationMode.ScRgbLinearInterpolation
        End If
    End Sub
End Class
