﻿' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Private Sub IncrementValue_Click(sender As Object, e As RoutedEventArgs) Handles IncrementValue.Click
        If DeterminateBar.Value < 100 Then
            DeterminateBar.Value += 10
        Else
            DeterminateBar.Value = 0
        End If
    End Sub

    Private Sub SetNormal_Checked(sender As Object, e As RoutedEventArgs) Handles SetNormal.Checked
        DeterminateBar.ShowError = False
        DeterminateBar.ShowPaused = False
    End Sub

    Private Sub SetPaused_Checked(sender As Object, e As RoutedEventArgs) Handles SetPaused.Checked
        DeterminateBar.ShowError = False
        DeterminateBar.ShowPaused = True
    End Sub

    Private Sub SetError_Checked(sender As Object, e As RoutedEventArgs) Handles SetError.Checked
        DeterminateBar.ShowError = True
        DeterminateBar.ShowPaused = False
    End Sub
End Class
