﻿' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    'Dependency Property Example
    Public Property TestDP As Integer
        Get
            Return GetValue(TestDPProperty)
        End Get

        Set(ByVal value As Integer)
            SetValue(TestDPProperty, value)
        End Set
    End Property

    Public Shared ReadOnly TestDPProperty As DependencyProperty = _
                           DependencyProperty.Register("TestDP", _
                           GetType(Integer), GetType(MainPage), _
                           New PropertyMetadata(0))


    'Attached Property Example
    Public Shared Function GetMyAP(ByVal element As DependencyObject) As Integer
        Return element.GetValue(MyAPProperty)
    End Function

    Public Shared Sub SetMyAP(ByVal element As DependencyObject, ByVal value As Integer)
        element.SetValue(MyAPProperty, value)
    End Sub

    Public Shared ReadOnly MyAPProperty As  _
                           DependencyProperty = DependencyProperty.RegisterAttached("MyAP", _
                           GetType(Integer), GetType(MainPage), _
                           New PropertyMetadata(Nothing))


    'Dependency Property Callback Example
    Public Shared Sub OnTextChanged(d As DependencyObject, e As DependencyPropertyChangedEventArgs)
        Dim tb As TextBox = TryCast(d, TextBox)
        If tb IsNot Nothing Then
            If e.OldValue <> e.NewValue Then
                tb.FontStyle = Windows.UI.Text.FontStyle.Italic
            End If
        End If
    End Sub

    Public Shared Function CreateTB() As TextBox
        Dim tb As New TextBox()
        tb.Text = "Type something here"
        Return tb
    End Function




End Class
