﻿Imports Windows.Storage

Public NotInheritable Class CustomSettings
    Inherits SettingsFlyout

    Dim settingsData As ApplicationDataContainer

    Public Sub New()
        Me.InitializeComponent()
        settingsData = ApplicationData.Current.LocalSettings
        If settingsData.Values.ContainsKey("setting") Then
            Me.SettingToggle.IsOn = (If(DirectCast(settingsData.Values("setting"), String) = "On", True, False))
        Else
            settingsData.Values("setting") = "Off"
            Me.SettingToggle.IsOn = False
        End If
    End Sub

    Private Sub SettingToggle_Toggled(sender As Object, e As RoutedEventArgs)
        settingsData.Values("setting") = If(Me.SettingToggle.IsOn, "On", "Off")
        ApplicationData.Current.SignalDataChanged()
    End Sub
End Class
